Create inspection media

For larger files, the preferred method is send the data directly to cloud storage.
The response includes a signed url that will allow the client to upload directly to the cloud storage provider. The signed url is only valid for a short period of time.
Refreshing the inspection media object will return a new signed url.

Media objects are contained by a project or a checklist instance. The name of the media object is unique within the project or checklist instance.

If a duplicate name is found, the system will append a number to the end of the name to make it unique. After a few attempts to rename the system will return an error.

client_id is a unique identifier for the media object in the entire workspace. If a media object with the same client_id is found, the system will return an error.
client_id needs to be unique or null.

After file upload, the system will process the media to:

  • extracting metadata (GPS, EXIF, etc.)
  • generating thumbnails and preview images
  • convert video to a streamable format

The state is set to UPLOADED after the file is uploaded and processed.

Required permissions:

  • (IsAuthenticated AND HasRolePermissions) OR APIKeyRequired
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≥ 1

Name of the file. (Required)

string
length ≥ 1

Data URL encoded file contents. If not provided, the file must be uploaded using the signed URL. (Optional)

integer

User ID who created the media. Defaults to current user. (Optional)

file_meta
object

Meta data extracted from the file.

string
length ≤ 255

Media (MIME) Type as defined by the IANA. For example: image/jpeg

string
length ≤ 50

Document category, For example: image, video, audio etc.

string | null

Description of the file (Optional)

geo_point
array of numbers

Latitude/Longitude for physical location. Z is altitude Meters above sea level (ASL) (Optional).

Geo Point
number | null

Direction the measurement device is pointing from North (Degrees).

number | null

Angle relative to horizon. + is above, - is below. (Degrees).

local_coordinates
array of numbers

X/Y/Z right hand coordinates system. Origin is assumed to be defined by location_code (Optional).

Geo Point
string | null

Component or subsytem on the asset. For example: Blade A on wind turbine.

string | null

Asset relative location zone. For example, solar assets are represented as Block-Row-Section-Pier-Modules: 21-9-4-E-2

string | null

Asset relative location code. For example, solar assets are represented as Block-Row-Section-Pier-Modules: 21-9-4-E-2

string | null

Any special requirement (Man Lift, Ladder, or Scaffold) for how a location must be accessed

string | null

URL safe unique identifier for the media provided by the client during creation (optional).

string | null

Local/alternate ID generated by client or used when importing from other applications (Optional).

string | null

Timestamp in source video - must be used with source_media

date-time | null

Date the media as taken; extracted from file's metadata where available.

integer
-32768 to 32767

Used for hiding items if value is smaller than 0

integer | null

Location Layer definition.

integer | null

Checklist source of the media.

integer | null

Checklist source_media points to the original image or video

integer | null

The media was uploaded with this project.

integer | null

Monitoring locations for given media.

integer | null

TransferJob that created this media.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
application/yaml